Uploaded image for project: 'CloudStack'
  1. CloudStack
  2. CLOUDSTACK-1589

Ubuntu 4.0 packages depend on non-existent chkconfig

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 4.0.1, 4.1.0
    • Fix Version/s: 4.0.2
    • Component/s: Packaging
    • Security Level: Public (Anyone can view this level - this is the default.)
    • Labels:
    • Environment:
      Ubuntu 12.10 x64

      Description

      Attempting to follow install instructions for Ubuntu using 4.0.x packages doesn't work, because of a packaging bug:

      The following packages have unmet dependencies:
      cloud-client : Depends: chkconfig but it is not installable
      E: Unable to correct problems, you have held broken packages.

      As is probably obvious, Debian based distros don't use chkconfig, they use update-rc.d, so this is likely a spurious dependency. However, it does block people from installing the current packages on any Debian-based system.

        Attachments

          Activity

            People

            • Assignee:
              widodh Wido den Hollander
              Reporter:
              unit0x03 Graeme Nordgren
            • Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: